Page MenuHomePhabricator

Deploy IABot to the Central Kurdish Wikipedia (ckbwiki)
Closed, ResolvedPublic

Description

At the request of a user backed with community consensus, one of the next projects to deploy on should be the ckbwiki.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2017, 7:24 PM
Cyberpower678 triaged this task as High priority.Jun 4 2017, 7:24 PM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v1.5) board.
Epine added a subscriber: Epine.Jun 5 2017, 5:40 PM
Epine awarded a token.Jun 27 2017, 3:37 PM

Can someone please point me to bot approvals?

Epine added a comment.Jul 31 2017, 5:17 AM

@Cyberpower678 thanks for submitting it. I've translated your comment and a few things the bot can do on the page and it will gain a few votes soon and it will be ready to be rocking!

@Epine I need a few things translated,

  • External links modified
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review
Epine added a comment.EditedAug 1 2017, 12:26 PM

@Cyberpower678 sure, translated in order:

  • چاکسازی بەستەرە دەرەکییەکان
  • سڵاو ھاوڕێیان،\n\nمن ئێستا دەستکاری {linksrescued} بەستەرە دەرەکییەکانم کرد لەسەر [[{namespacepage}]]. تکایە [{diff} بەسەر دەستکارییەکەمدا بچۆرەوە]. ئەگەر ھەر پرسیارێکت ھەیە، یان پێویستتە کە وا لە بۆتەکە بکەیت بەستەرەکان، یانیش ھەموو پەڕەکە فەرامۆش بکات، تکایە سەردانی [[:m:InternetArchiveBot/FAQ|پرسیارە دووپاتکراوەکان]] بکە بۆ وردەکاری زیادتر. من ئەم دەستکارییانەم ئەنجام داوە: \n{modifiedlinks}\n تکایە سەردانی پرسیارە دووپاتکراوەکان بکە بۆ زانیاری لەسەر ڕاستکردنەوەی ھەڵەی بۆتەکە،\n\nکاتێکی شاد!
  • بەستەری دەرەکی کە پێویستی بە چاککردنەوە ھەیە دۆزرایەوە
  • سڵاو ھاوڕێیان،\n\nمن یەک یان چەند بەستەرێکی دەرەکیم دۆزییەوە لەسەر [[{namespacepage}]] کە پێویستیان بە بەسەرداچوونەوە ھەیە، تکایە لە کاتی خۆت بگرە بۆ سەیرکردنی ئەو بەستەرانەی دۆزیومنەتەوە و ڕاستییان بکەرەوە. ئەم کێشانەم دۆزییەوە: \n{modifiedlinks}\n کاتێک تەواو بوویت لە چاککردنەوەی، تکایە سەردانی [[:m:InternetArchiveBot/FAQ|پرسیارە دووپاتکراوەکان]] بکە بۆ زانیاری زیاتر لەسەر چۆنێتی چارەسەرکردنی ھەر کێشەیەک لەو ناونیشانەی لەسەرەوە باسم کرد.\n\nئەم ئاگادارییە لەسەر ئەم ناونیشان(انە) تەنھا یەک جار دادەنرێت.\n\nکاتێکی شاد.
  • کێشە لە ئەرشیڤکردنی بەستەرەکانی وتار
  • سڵاو. لە کاتی پڕۆسەی ئەرشیڤکردندا، کێشەیەک بووە ھۆی پچڕانی ھەوڵدانەکەم بۆ ئەرشیڤکردنی یەکێک یان زیاتر لەم سایتانە.\nلە خوارەوە، ئەو بەستەرانەم داناوە کە کێشەیان ھەیە و ئەم پەیامی کێشەیەیان لەگەڵدایە. \n\n{problematiclinks}\n لە ھەر حاڵەتێکدا ئەمە تەنھا ئاگاداری دەبێت لەبارەی ئەم بەستەرانەوە، و ھیچ ھەوڵێکی زیاتر نادرێت بۆ ئەرشیڤکردنی بەستەرەکان. کاتێکی شاد.

‏* {link} بەستەرێکی مردووە، بیر لە زیادکردنی {newarchive} بۆ ناونیشانی ڕەسەن
‏* {link} بەستەرێکی مردووە، ھیچ ئەرشیڤێک نەدۆزرایەوە
‏* {link} بە بەستەرێکی مردوو لە قەڵەم دراوە، بەڵام ھێشتا زیندووە. تکایە تاگی مردوو لەم ناونیشانە لابەرە

  • ئەرشیڤێکی نوێ {newarchive} زیاد کرا بۆ {link}
  • بەستەری ئەرشیڤ {oldarchive} گۆڕا بە {newarchive} لە {link}
  • شێواز و فۆرماتی بەکارھێنان ڕاستکرایەوە بۆ {link}
  • {{دا|بەستەری مردوو}} زیاد کرا بۆ {link}
  • تاگی بەستەری مردوو لابرا لە {link}
  • سەرچاوەی {link} دەستکاری کرا

‏* {problem} لەگەڵ کێشە {error}

  • دەربازدانی {linksrescued} سەرچاوە و تاگکردنی {linkstagged} بە مردوو
  • پەیامی ئاگاداریی ھەڵە ھاتە ڕێ لە کاتی ھەوڵدان بۆ ئەرشیڤکردنی بەستەرەکان
  • ھۆشدارەکانی سەرچاوە دەستکاریکراوەکان کە پێویستی بە بەسەرداچوونەوە ھەیە

I've installed the translations.

@Elpine can you translate "Archived copy" as well?

@Elpine I also need the date formats used on the Wikipedia as well as the complete list of months. I'm not having much luck with this.

Once I have this information, IABot can be tested on ckbwiki.

Epine added a comment.Aug 2 2017, 2:56 PM

@Elpine can you translate "Archived copy" as well?

  • وەشانی ئەرشیڤکراو
Epine added a comment.Aug 2 2017, 2:59 PM

@Elpine I also need the date formats used on the Wikipedia as well as the complete list of months. I'm not having much luck with this.

I'm not sure how you want those. is there a specific page on our Wikipedia that I need to provide or should I write down the week/month days down here?

@Elpine I also need the date formats used on the Wikipedia as well as the complete list of months. I'm not having much luck with this.

I'm not sure how you want those. is there a specific page on our Wikipedia that I need to provide or should I write down the week/month days down here?

I need the standard formatting used when dating sources, as well as a list of Month names.

Epine added a comment.EditedAug 2 2017, 3:21 PM

@Cyberpower678 here's the complete list of the months, starts from January on the right (کانوونی دووەم) to December all the way on the left (کانوونی یەکەم). For the dates, the standard format we use is day/month/year (1st of January 2013 • ١ی کانوونی دووەمی ٢٠١٣). I hope this helps.

@Cyberpower678 here's the complete list of the months, starts from January on the right (کانوونی دووەم) to December all the way on the left (کانوونی یەکەم). For the dates, the standard format we use is day/month/year (1st of January 2013 • ١ی کانوونی دووەمی ٢٠١٣). I hope this helps.

January doesn't seem to line up in your example. With January spelled کانوونی دووەم in your first example I see January spelled کانوونی دووەمی. Can you break down "١ی کانوونی دووەمی ٢٠١٣" for me?

Epine added a comment.Aug 2 2017, 5:10 PM

@Cyberpower678 the "ی" associated with (کانوونی دووەم) stands for an "of" here. It's just like saying "1st of January of 2013" in English. as you can see, the letter "ی" is also associated with the number "1" in my example (١(ی) کانوونی دووەم(ی) ٢٠١٣) to show that the day provided belongs to the said month, and the month provided also belongs to the year written down.

@Cyberpower678 the "ی" associated with (کانوونی دووەم) stands for an "of" here. It's just like saying "1st of January of 2013" in English. as you can see, the letter "ی" is also associated with the number "1" in my example (١(ی) کانوونی دووەم(ی) ٢٠١٣) to show that the day provided belongs to the said month, and the month provided also belongs to the year written down.

Can you provide me all of the numerals too then? That's not like any "1" I know. :-)

Epine added a comment.Aug 2 2017, 6:03 PM

Can you provide me all of the numerals too then? That's not like any "1" I know. :-)

Sure!
٠ stands for 0, you should make a trip to rio de janeiro.
١ stands for 1, just takes a second to write and you're done!
٢ stands for 2, how we invented that, I have no clue!
٣ stands for 3, it looks like the waves of a sea.
٤ stands for 4, look out behind you when you lock the door!
٥ stands for 5, it's my favorite number and makes me feel alive.
٦ stands for 6, watch out for me as I show you some cool tricks!
٧ stands for 7, wut wut, wut, wut? (Can't find a rhyme)
٨ stands for 8, did I tell you how much I hated clickbait?
٩ stands for 9, I hope your bot will work just fine!!
Now let's count from zero to nine, I'll introduce them once again and go to drink some wine. Right to left, starting from zero: ٠, ١, ٢, ٣, ٤, ٥, ٦, ٧, ٨, ٩

Cyberpower678 added a comment.EditedAug 2 2017, 8:08 PM

@Elpine I can't decipher ٤ی تەممووز، ٢٠٠٨. What is it? Are the variants to how months are spelled?

My best guess is that it is the month of July.

Epine added a comment.Aug 2 2017, 8:17 PM

This basically translates to "4th of July, 2008.", it is not standard by the way, we put a "ی" instead of a comma in there, like I explained in my previous messages. The "،" is a "," (a comma, not a letter), since we write from the right, unlike English from the left, the commas have to be inverted ^_^

This basically translates to "4th of July, 2008.", it is not standard by the way, we put a "ی" instead of a comma in there, like I explained in my previous messages. The "،" is a "," (a comma, not a letter), since we write from the right, unlike English from the left, the commas have to be inverted ^_^

In the example above "تەممووز" is spelled differently from what you referenced "تەمموز"

Epine added a comment.Aug 2 2017, 8:22 PM

Apologies @Cyberpower678, it was a typo that I fixed.

Cyberpower678 added a comment.EditedAug 2 2017, 8:24 PM

Apologies @Cyberpower678, it was a typo that I fixed.

Oh that was just a typo? It's hard to tell since I know nothing of the language and the translator.

The bot is very sensitive to typos. Any others that I should be aware of in that list?

Epine added a comment.Aug 2 2017, 8:26 PM

Oh that was just a typo? It's hard to tell since I know nothing of the language and the translator.

Understandable, that's what I'm here for! Please notify me about anything you're unsure of!

Epine added a comment.Aug 2 2017, 8:27 PM

And no, we're good now.

I'm running the bot's code to hammer out bugs. So I'll let you know. The bot is unable to edit while it is missing the bot flag, however.

Epine added a comment.Aug 2 2017, 8:30 PM

Our community is very open to bots and we rarely vote no, we either vote yes or not vote at all, as you may have noticed now. I'll request a bot flag at meta and it will be ready to be working soon, hopefully. Thank you so much for this! ^_^

Epine added a comment.Aug 2 2017, 9:42 PM

That's very good! So it doesn't have any problems I reckon?

That's very good! So it doesn't have any problems I reckon?

It seems to be stable.

Epine added a comment.Aug 2 2017, 10:02 PM

@Cyberpower678 awesome! Thank you for your work, I've requested a bot flag here!

Cyberpower678 closed this task as Resolved.Sep 2 2017, 8:32 PM

Deployed